#
#    targets.mk
#
#    $Source: /usr/local/CVS/provider/targets.mk,v $
#    $Revision: 1.4 $
#    $Date: 2001/11/29 19:34:15 $
#    $Name:  $
#    $Disclaimer$
#
#    Copyright (C) 2001, RTFM, Inc.
#    All Rights Reserved.
#
#    ekr@rtfm.com
#



#
#    CONFIGURE USER-DEFINED MAKE ENVIRONMENT
#
#    These fields are specified by the user.  The remainder of
#    this file is generated from this user-specified information.
#
# COM_CLAYMORESYSTEMS_PROVIDER_DEFINES:
#    cpp defines, with the -D flag preceeding each
#
# COM_CLAYMORESYSTEMS_PROVIDER_INCLUDES:
#    cpp include directories, with the -I flag preceeding each
#
# COM_CLAYMORESYSTEMS_PROVIDER_LIBNAME:
#    the library associated with this module directory, used in
#    most cases for debugging purposes
#
# COM_CLAYMORESYSTEMS_PROVIDER_LIBPATHS:
#    link-time directories to search for libraries, with the -L flag
#    preceeding each
#
# COM_CLAYMORESYSTEMS_PROVIDER_LIBRARIES:
#    link-time libraries, with the -l flag preceeding each
#
# COM_CLAYMORESYSTEMS_PROVIDER_LOCALFLAGS:
#    compile-time flags specific to compiling only the files in
#    this module directory--this variable should only be set in
#    extremely exceptional cases
#
# COM_CLAYMORESYSTEMS_PROVIDER_MAKEFILES:
#    the makefiles
#
# COM_CLAYMORESYSTEMS_PROVIDER_NOBUILD:
#    do not build this module as part of the main system
#
# COM_CLAYMORESYSTEMS_PROVIDER_PACKAGE:
#    the Java package name
#
# COM_CLAYMORESYSTEMS_PROVIDER_PREFIX:
#    defines the module name, which also serves as the
#    prefix for all the variable names defined in this file
#
# COM_CLAYMORESYSTEMS_PROVIDER_PROGRAMS:
#    programs to build
#
# COM_CLAYMORESYSTEMS_PROVIDER_SOURCES:
#    the source files to compile to object
#
COM_CLAYMORESYSTEMS_PROVIDER_DEFINES  =
COM_CLAYMORESYSTEMS_PROVIDER_INCLUDES  =
COM_CLAYMORESYSTEMS_PROVIDER_LIBNAME  =
COM_CLAYMORESYSTEMS_PROVIDER_LIBPATHS  =
COM_CLAYMORESYSTEMS_PROVIDER_LIBRARIES  =
COM_CLAYMORESYSTEMS_PROVIDER_LOCALFLAGS  =
COM_CLAYMORESYSTEMS_PROVIDER_MAKEFILES  =
COM_CLAYMORESYSTEMS_PROVIDER_NOBUILD  =
COM_CLAYMORESYSTEMS_PROVIDER_PACKAGE  = COM.claymoresystems.provider 
COM_CLAYMORESYSTEMS_PROVIDER_PREFIX  = COM_CLAYMORESYSTEMS_PROVIDER 
COM_CLAYMORESYSTEMS_PROVIDER_PROGRAMS  =
COM_CLAYMORESYSTEMS_PROVIDER_SOURCES  = ClaymoreProvider.java DSASignature.java \
                            RSASignature.java RawDSASignature.java 



#
#    CONFIGURE AUTOMATICALLY-GENERATED MAKE ENVIRONMENT
#
# COM_CLAYMORESYSTEMS_PROVIDER_SOURCEFILES:
#     
#    qualified names of the sources
#
# COM_CLAYMORESYSTEMS_PROVIDER_OBJECTS:
#    object files to build
#
# COM_CLAYMORESYSTEMS_PROVIDER_UNUSED:
#    obsolete files in the module directory that are not
#    used during the build process
#
# COM_CLAYMORESYSTEMS_PROVIDER_USED:
#    all files in the module directory that are used
#    during the build process
#
COM_CLAYMORESYSTEMS_PROVIDER_SOURCEFILES  = ${SRCROOTDIR}COM/claymoresystems/provider/ClaymoreProvider.java \
                            ${SRCROOTDIR}COM/claymoresystems/provider/DSASignature.java \
                            ${SRCROOTDIR}COM/claymoresystems/provider/RSASignature.java \
                            ${SRCROOTDIR}COM/claymoresystems/provider/RawDSASignature.java 
COM_CLAYMORESYSTEMS_PROVIDER_OBJECTS  = ${SRCROOTDIR}COM/claymoresystems/provider/ClaymoreProvider.class \
                            ${SRCROOTDIR}COM/claymoresystems/provider/DSASignature.class \
                            ${SRCROOTDIR}COM/claymoresystems/provider/RSASignature.class \
                            ${SRCROOTDIR}COM/claymoresystems/provider/RawDSASignature.class 
COM_CLAYMORESYSTEMS_PROVIDER_CLASSES  = COM.claymoresystems.provider.ClaymoreProvider \
                            COM.claymoresystems.provider.DSASignature \
                            COM.claymoresystems.provider.RSASignature \
                            COM.claymoresystems.provider.RawDSASignature 
COM_CLAYMORESYSTEMS_PROVIDER_UNUSED  =
COM_CLAYMORESYSTEMS_PROVIDER_USED  =
SOURCEFILES += ${COM_CLAYMORESYSTEMS_PROVIDER_SOURCEFILES}
OBJECTS += ${COM_CLAYMORESYSTEMS_PROVIDER_OBJECTS}
CLASSES += ${COM_CLAYMORESYSTEMS_PROVIDER_CLASSES}
PACKAGES += ${COM_CLAYMORESYSTEMS_PROVIDER_PACKAGE}
