#
#    targets.mk
#
#    $Source: /usr/local/CVS/sslg/targets.mk,v $
#    $Revision: 1.4 $
#    $Date: 2001/11/29 19:34:16 $
#    $Name:  $
#    $Disclaimer$
#
#    Copyright (C) 2001, RTFM, Inc.
#    All Rights Reserved.
#
#    ekr@rtfm.com
#



#
#    CONFIGURE USER-DEFINED MAKE ENVIRONMENT
#
#    These fields are specified by the user.  The remainder of
#    this file is generated from this user-specified information.
#
# COM_CLAYMORESYSTEMS_SSLG_DEFINES:
#    cpp defines, with the -D flag preceeding each
#
# COM_CLAYMORESYSTEMS_SSLG_INCLUDES:
#    cpp include directories, with the -I flag preceeding each
#
# COM_CLAYMORESYSTEMS_SSLG_LIBNAME:
#    the library associated with this module directory, used in
#    most cases for debugging purposes
#
# COM_CLAYMORESYSTEMS_SSLG_LIBPATHS:
#    link-time directories to search for libraries, with the -L flag
#    preceeding each
#
# COM_CLAYMORESYSTEMS_SSLG_LIBRARIES:
#    link-time libraries, with the -l flag preceeding each
#
# COM_CLAYMORESYSTEMS_SSLG_LOCALFLAGS:
#    compile-time flags specific to compiling only the files in
#    this module directory--this variable should only be set in
#    extremely exceptional cases
#
# COM_CLAYMORESYSTEMS_SSLG_MAKEFILES:
#    the makefiles
#
# COM_CLAYMORESYSTEMS_SSLG_NOBUILD:
#    do not build this module as part of the main system
#
# COM_CLAYMORESYSTEMS_SSLG_PACKAGE:
#    the Java package name
#
# COM_CLAYMORESYSTEMS_SSLG_PREFIX:
#    defines the module name, which also serves as the
#    prefix for all the variable names defined in this file
#
# COM_CLAYMORESYSTEMS_SSLG_PROGRAMS:
#    programs to build
#
# COM_CLAYMORESYSTEMS_SSLG_SOURCES:
#    the source files to compile to object
#
COM_CLAYMORESYSTEMS_SSLG_DEFINES  =
COM_CLAYMORESYSTEMS_SSLG_INCLUDES  =
COM_CLAYMORESYSTEMS_SSLG_LIBNAME  =
COM_CLAYMORESYSTEMS_SSLG_LIBPATHS  =
COM_CLAYMORESYSTEMS_SSLG_LIBRARIES  =
COM_CLAYMORESYSTEMS_SSLG_LOCALFLAGS  =
COM_CLAYMORESYSTEMS_SSLG_MAKEFILES  =
COM_CLAYMORESYSTEMS_SSLG_NOBUILD  =
COM_CLAYMORESYSTEMS_SSLG_PACKAGE  = COM.claymoresystems.sslg 
COM_CLAYMORESYSTEMS_SSLG_PREFIX  = COM_CLAYMORESYSTEMS_SSLG 
COM_CLAYMORESYSTEMS_SSLG_PROGRAMS  =
COM_CLAYMORESYSTEMS_SSLG_SOURCES  = Certificate.java DistinguishedName.java \
                            Extension.java SSLContextInt.java \
                            SSLPolicyInt.java SSLSocketXInt.java 



#
#    CONFIGURE AUTOMATICALLY-GENERATED MAKE ENVIRONMENT
#
# COM_CLAYMORESYSTEMS_SSLG_SOURCEFILES:
#     
#    qualified names of the sources
#
# COM_CLAYMORESYSTEMS_SSLG_OBJECTS:
#    object files to build
#
# COM_CLAYMORESYSTEMS_SSLG_UNUSED:
#    obsolete files in the module directory that are not
#    used during the build process
#
# COM_CLAYMORESYSTEMS_SSLG_USED:
#    all files in the module directory that are used
#    during the build process
#
COM_CLAYMORESYSTEMS_SSLG_SOURCEFILES  = ${SRCROOTDIR}COM/claymoresystems/sslg/Certificate.java \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/DistinguishedName.java \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/Extension.java \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/SSLContextInt.java \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/SSLPolicyInt.java \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/SSLSocketXInt.java 
COM_CLAYMORESYSTEMS_SSLG_OBJECTS  = ${SRCROOTDIR}COM/claymoresystems/sslg/Certificate.class \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/DistinguishedName.class \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/Extension.class \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/SSLContextInt.class \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/SSLPolicyInt.class \
                            ${SRCROOTDIR}COM/claymoresystems/sslg/SSLSocketXInt.class 
COM_CLAYMORESYSTEMS_SSLG_CLASSES  = COM.claymoresystems.sslg.Certificate \
                            COM.claymoresystems.sslg.DistinguishedName \
                            COM.claymoresystems.sslg.Extension \
                            COM.claymoresystems.sslg.SSLContextInt \
                            COM.claymoresystems.sslg.SSLPolicyInt \
                            COM.claymoresystems.sslg.SSLSocketXInt 
COM_CLAYMORESYSTEMS_SSLG_UNUSED  =
COM_CLAYMORESYSTEMS_SSLG_USED  =
SOURCEFILES += ${COM_CLAYMORESYSTEMS_SSLG_SOURCEFILES}
OBJECTS += ${COM_CLAYMORESYSTEMS_SSLG_OBJECTS}
CLASSES += ${COM_CLAYMORESYSTEMS_SSLG_CLASSES}
PACKAGES += ${COM_CLAYMORESYSTEMS_SSLG_PACKAGE}
