#!/usr/local/bin/perl
sub execute_client {
  $client_err="";
  local($root,$ciphers,$key,$iterations,$expected_output,$additional_arg)=@_;
  $ciph=$ciphers?"-a $ciphers":"";
  $COMMAND="java COM.claymoresystems.ptls.demo.SSLClient -f -r $root -k $key -i $iterations $ciph $additional_arg ${DEBUG_FLAGS} 2>&1 |"; 
  &debug("Client command",$COMMAND);
  open(CLIENT,$COMMAND); 

  while(<CLIENT>){
    print "Client says $_\n" if $VERBOSE;
    if(/Exception/){
      $client_err=$_;
      last;
    }
    if(/Error/){
      $client_err=$_;
      last;
    }
  }

  &debug("Client returns $client_err");
  $client_err;
}

1; # require fodder

  
  
  
  
